-- phpMyAdmin SQL Dump
-- version 2.10.1
-- http://www.phpmyadmin.net
-- 
-- Serveur: localhost:3306
-- Gnr le : Lun 26 Mai 2008  22:12
-- Version du serveur: 5.0.41
-- Version de PHP: 5.2.2

-- 
-- Base de donnes: 'parseur'
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table 'parser_campagne'
-- 

CREATE TABLE parser_campagne (
  id mediumint(8) unsigned NOT NULL auto_increment,
  nom_campagne varchar(32) default NULL,
  type_liste enum('non','pilote','avion') NOT NULL default 'non',
  liste_rouge mediumtext NOT NULL,
  liste_bleu mediumtext NOT NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY nom_campagne (nom_campagne),
  KEY id (id),
  KEY type_liste (type_liste)
) TYPE=MyISAM  COMMENT='Table des camp';

-- --------------------------------------------------------

-- 
-- Structure de la table 'parser_escadrille'
-- 

CREATE TABLE parser_escadrille (
  id int(3) unsigned NOT NULL auto_increment,
  nom varchar(50) NOT NULL default '',
  mdp varchar(16) NOT NULL default '',
  prefixe varchar(12) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY nom (nom),
  KEY id (id),
  KEY mdp (mdp),
  KEY prefixe (prefixe)
) TYPE=MyISAM ;

-- --------------------------------------------------------

-- 
-- Structure de la table 'parser_mission'
-- 

CREATE TABLE parser_mission (
  id int(6) unsigned NOT NULL auto_increment,
  id_campagne int(3) unsigned NOT NULL default '0',
  nom_mission varchar(48) NOT NULL default '',
  nom_stockage datetime NOT NULL default '0000-00-00 00:00:00',
  date_jouee_annee int(2) unsigned zerofill default NULL,
  date_jouee_mois enum('01','02','03','04','05','06','07','08','09','10','11','12') default NULL,
  date_jouee_jour enum('01','02','03','04','05','06','07','08','09','10','11','12','13','14','15','16','17','18','19','20','21','22','23','24','25','26','27','28','29','30','31') default NULL,
  date_jouee_heure time default NULL,
  theatre varchar(16) default NULL,
  heure time default NULL,
  temps enum('0','1','2','3','4','5','6') default NULL,
  plafond decimal(5,0) unsigned default NULL,
  nb_joueur int(3) unsigned default NULL,
  liste_pilote text,
  liste_avion text,
  ip varchar(16) NOT NULL default '',
  actif enum('non','oui') NOT NULL default 'oui',
  PRIMARY KEY  (id),
  UNIQUE KEY nom_stockage (nom_stockage),
  KEY id_campagne (id_campagne),
  KEY date_jouee_annee (date_jouee_annee),
  KEY date_jouee_heure (date_jouee_heure),
  KEY date_jouee_jour (date_jouee_jour),
  KEY date_jouee_mois (date_jouee_mois),
  KEY heure (heure),
  KEY id (id),
  KEY ip (ip),
  KEY nb_joueur (nb_joueur),
  KEY nom_mission (nom_mission),
  KEY plafond (plafond),
  KEY temps (temps),
  KEY theatre (theatre),
  FULLTEXT KEY liste_avion (liste_avion),
  FULLTEXT KEY liste_pilote (liste_pilote)
) TYPE=MyISAM ;

-- --------------------------------------------------------

-- 
-- Structure de la table 'parser_mission_erreur'
-- 

CREATE TABLE parser_mission_erreur (
  id int(4) unsigned NOT NULL auto_increment,
  nom_mission varchar(48) default NULL,
  nom_log varchar(32) default NULL,
  nom_stockage varchar(32) default NULL,
  message_erreur text,
  ip varchar(16) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY nom_stockage (nom_stockage),
  KEY id (id),
  KEY ip (ip),
  KEY nom_log (nom_log),
  KEY nom_mission (nom_mission),
  FULLTEXT KEY message_erreur (message_erreur)
) TYPE=MyISAM ;

-- --------------------------------------------------------

-- 
-- Structure de la table 'parser_pilote_mis'
-- 

CREATE TABLE parser_pilote_mis (
  id int(6) unsigned NOT NULL auto_increment,
  id_campagne int(3) unsigned NOT NULL default '0',
  id_mission int(4) unsigned NOT NULL default '0',
  nom_pilote varchar(16) NOT NULL default '',
  avion varchar(16) default NULL,
  heure_vol time default NULL,
  nb_victoire int(2) unsigned default NULL,
  liste_victoire tinytext,
  nb_collaboration int(2) unsigned default NULL,
  liste_collaboration tinytext,
  nb_endommage int(2) unsigned default NULL,
  liste_endommage tinytext,
  nb_ciblesol int(2) unsigned default NULL,
  liste_ciblesol mediumtext,
  etat_pilote enum('vivant','blss','gravement blss','mort') default NULL,
  capture enum('captur','non') default NULL,
  etat_avion enum('bon','endommag','dtruit') default NULL,
  ejection enum('ject','non') default NULL,
  deconnection enum('dconnect en vol','non','dconnection en parachute','en vol  la fin') default NULL,
  fuel enum('25','50','75','100') default NULL,
  chargement varchar(16) default NULL,
  gun_fired int(4) unsigned default NULL,
  gun_ahit int(4) unsigned default NULL,
  gun_ghit int(4) unsigned default NULL,
  rocket_fired int(4) unsigned default NULL,
  rocket_hit int(4) unsigned default NULL,
  bomb_fired int(4) unsigned default NULL,
  bomb_hit int(4) unsigned default NULL,
  actif enum('non','oui') NOT NULL default 'oui',
  PRIMARY KEY  (id),
  KEY id_campagne (id_campagne,id_mission),
  KEY avion (avion),
  KEY bomb_fired (bomb_fired),
  KEY bomb_hit (bomb_hit),
  KEY capture (capture),
  KEY chargement (chargement),
  KEY deconnection (deconnection),
  KEY ejection (ejection),
  KEY etat_avion (etat_avion),
  KEY etat_pilote (etat_pilote),
  KEY fuel (fuel),
  KEY gun_ahit (gun_ahit),
  KEY gun_fired (gun_fired),
  KEY gun_ghit (gun_ghit),
  KEY heure_vol (heure_vol),
  KEY id (id),
  KEY id_mission (id_mission),
  KEY nb_ciblesol (nb_ciblesol),
  KEY nb_collaboration (nb_collaboration),
  KEY nb_endommage (nb_endommage),
  KEY nb_victoire (nb_victoire),
  KEY nom_pilote (nom_pilote),
  KEY rocket_fired (rocket_fired),
  KEY rocket_hit (rocket_hit)
) TYPE=MyISAM ;

-- --------------------------------------------------------

-- 
-- Structure de la table 'parser_pilote_tbl'
-- 

CREATE TABLE parser_pilote_tbl (
  id int(4) unsigned NOT NULL auto_increment,
  nom_pilote varchar(16) NOT NULL default '',
  nb_mission int(3) unsigned NOT NULL default '0',
  liste_mission text NOT NULL,
  heure_vol varchar(10) NOT NULL default '00:00:00',
  nb_victoire int(4) unsigned NOT NULL default '0',
  resum_victoire text NOT NULL,
  nb_collaboration int(4) unsigned NOT NULL default '0',
  resum_collaboration text NOT NULL,
  nb_endommage int(4) unsigned NOT NULL default '0',
  resum_endommage text NOT NULL,
  nb_ciblesol int(4) unsigned NOT NULL default '0',
  resum_ciblesol text NOT NULL,
  nb_vivant int(4) unsigned NOT NULL default '0',
  nb_blesse int(4) unsigned NOT NULL default '0',
  nb_gravement_blesse int(4) unsigned NOT NULL default '0',
  nb_tue int(4) unsigned NOT NULL default '0',
  nb_capture int(4) unsigned NOT NULL default '0',
  nb_ejecte int(4) unsigned NOT NULL default '0',
  nb_bon int(4) unsigned NOT NULL default '0',
  nb_abime int(4) unsigned NOT NULL default '0',
  nb_detruit int(4) unsigned NOT NULL default '0',
  nb_deconnection int(4) unsigned NOT NULL default '0',
  gun_fired int(6) unsigned NOT NULL default '0',
  gun_ahit int(5) unsigned NOT NULL default '0',
  gun_ghit int(5) unsigned NOT NULL default '0',
  rocket_fired int(5) unsigned NOT NULL default '0',
  rocket_hit int(4) unsigned NOT NULL default '0',
  bomb_fired int(5) unsigned NOT NULL default '0',
  bomb_hit int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY nom_pilote (nom_pilote),
  KEY bomb_fired (bomb_fired),
  KEY bomb_hit (bomb_hit),
  KEY gun_ahit (gun_ahit),
  KEY gun_fired (gun_fired),
  KEY gun_ghit (gun_ghit),
  KEY heure_vol (heure_vol),
  KEY id (id),
  KEY nb_abime (nb_abime),
  KEY nb_blesse (nb_blesse),
  KEY nb_bon (nb_bon),
  KEY nb_capture (nb_capture),
  KEY nb_ciblesol (nb_ciblesol),
  KEY nb_collaboration (nb_collaboration),
  KEY nb_deconnection (nb_deconnection),
  KEY nb_detruit (nb_detruit),
  KEY nb_ejecte (nb_ejecte),
  KEY nb_endommage (nb_endommage),
  KEY nb_gravement_blesse (nb_gravement_blesse),
  KEY nb_mission (nb_mission),
  KEY nb_tue (nb_tue),
  KEY nb_victoire (nb_victoire),
  KEY nb_vivant (nb_vivant),
  KEY rocket_fired (rocket_fired),
  KEY rocket_hit (rocket_hit)
) TYPE=MyISAM ;
